Subject: Re: New setup.exe beta
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 27 Nov 2002 07:44:39 +1100

On Wed, 2002-11-27 at 07:08, [email-masked] wrote:
> Tried it twice again: full install from scratch but this time from a Local
> Directory. Now the MD5 check took place, as Igor said it would. Everything
> passed.
> 
> Base install works fine.
> 
> But: clicking on the gizmo to change from "All Default" to "All Install"
> caused such a long pause* that eventually I checked to see what was
> happening. Answer: "Setup Options [not responding]". It happened identically
> at a second attempt. Extended pause with nothing at the end of it.

How long did you leave it? It's definately not expected ;}. And indeed,
that operation works ok for me.

> System is W98/SE.
> 
> (* It must have been asked before, but I cannot remember any response. Even
> when the change correctly occurs under the present setup.exe for example,
> what is actually happening to take the clicker such a long time to change
> from Default to Install? There doesn't seem to be any disk access during
> this interval.)

A naively written, CPU bound, depth limited graph traversal. For every
entry under all we set it to install. That triggers a dependency search.
Repeat.

Rob

-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---